<?php

namespace OCA\Admin_Audit\Hooks;

use \OC\Files\Filesystem;
use \OCP\Util;
use \OCP\User;

class Handlers {
	static public function pre_login($params) {
		$user = $params['uid'];
		self::log('User '.$user.' attempted to log into ownCloud from IP address: '.$_SERVER['REMOTE_ADDR']);
	}
	static public function post_login($params) {
		$user = $params['uid'];
		self::log('User '.$user.' logged into ownCloud from IP address: '.$_SERVER['REMOTE_ADDR']);
	}
	static public function logout($params) {
		$user = User::getUser();
		self::log('User '.$user.' logged out of ownCloud');
	}
	static public function rename($params) {
		$oldpath = $params[Filesystem::signal_param_oldpath];
		$newpath = $params[Filesystem::signal_param_newpath];
		$user = User::getUser();
		self::log('Rename "'.$oldpath.'" to "'.$newpath.'" by '.$user);
	}
	static public function create($params) {
		$path = $params[Filesystem::signal_param_path];
		$user = User::getUser();
		self::log('Create "'.$path.'" by '.$user);
	}
	static public function copy($params) {
		$oldpath = $params[Filesystem::signal_param_oldpath];
		$newpath = $params[Filesystem::signal_param_newpath];
		$user = User::getUser();
		self::log('Copy "'.$oldpath.'" to "'.$newpath.'" by '.$user);
	}
	static public function write($params) {
		$path = $params[Filesystem::signal_param_path];
		$user = User::getUser();
		self::log('Write "'.$path.'" by '.$user);
	}
	static public function read($params) {
		$path = $params[Filesystem::signal_param_path];
		$user = User::getUser();
		self::log('Read "'.$path.'" by '.$user);
	}
	static public function delete($params) {
		$path = $params[Filesystem::signal_param_path];
		$user = User::getUser();
		self::log('Delete "'.$path.'" by '.$user);
	}

	static protected function log($msg) {
		Util::writeLog('admin_audit', $msg, Util::INFO);
	}
}
