<?php

class OC_Files_Sharing_Log {
	static public function fopen($arguments) {
		$target = $arguments['target'];
		$source = $arguments['source'];
		$mode = $arguments['mode'];
		self::log($target, $source, $mode);
	}

	static public function file_get_contents($arguments) {
		$target = $arguments['target'];
		$source = $arguments['source'];
		$mode = 'get';
		self::log($target, $source, $mode);
	}

	static public function file_put_contents($arguments) {
		$target = $arguments['target'];
		$source = $arguments['source'];
		$mode = 'put';
		self::log($target, $source, $mode);
	}

	static public function post_shared($arguments) {
		$itemType = $arguments['itemType'];
		if ($itemType === 'file' || $itemType === 'folder') {
			$uidOwner = $arguments['uidOwner'];
			$shareWith = $arguments['shareWith'];
			$shareType = $arguments['shareType'];
			$file = $arguments['filePath'];
			$msg = 'User '.$uidOwner.' shared '.$file.' with ';
			if ($shareType === OCP\Share::SHARE_TYPE_USER) {
				$msg .= 'the user '.$shareWith;
			} else if ($shareType === OCP\Share::SHARE_TYPE_GROUP) {
				$msg .= 'the group '.$shareWith;
			} else if ($shareType === OCP\Share::SHARE_TYPE_LINK) {
				$msg .= ' a public link';
			}
			OCP\Util::writeLog('sharing_log', $msg, OCP\Util::INFO);
		}
	}

	static public function post_email($arguments) {
		$uidOwner = $arguments['uidOwner'];
		$file = $arguments['file'];
		$link = $arguments['link'];
		$toAddress = $arguments['toAddress'];
		OCP\Util::writeLog('sharing_log', 'User '.$uidOwner.' sent '.$file.' via '.$link
			.' to recipient '.$toAddress, OCP\Util::INFO
		);
	}

	static public function log($target, $source, $mode) {
		$msg = "User " . OCP\User::getUser() . " performed action \"$mode\" on file $source";
		OCP\Util::writeLog('sharing_log', $msg, OCP\Util::INFO);
	}
}